Network Installation Help
Corner | Corner

This Help is provided for HP devices that can be installed on a network, either wired or wireless. Help is available from the following screens during the installation by clicking Help. Related topics provide further background.

• Connection Type
• Network Setup — Make a connection to your printer
• Printer Network Connection
• Wireless Network Setup — Printer Network Connect
• Found Network Printers
• Wireless Network Setup — Printer Setup Menu Wizard
• Printer Setup Options


Connection Type

Choose how you want to connect your HP printer to your computer. The setup screen lists the options available for your device.

Your Situation

Your Printer Capabilities

Setup Requirements

Your Connection Option

• You have no need to share your printer with other PCs
• Or, you don't have a Local Area Network (LAN)
• Or, your PC is not connected to a network
• Or, you have a network, but don't want to connect your printer to it now

Your printer has network connection capability, but you don't want to connect it to the network now

USB cable connection, when prompted by the setup software

USB

A direct USB connection between your PC and printer is the simplest, fastest, and most robust setup. However, a USB connection limits the access others might have to the printer.

• You have a Local Area Network (LAN) with an Ethernet (wired — 802.3) connection
• Or, you have a LAN with a wireless router/access point that has a free Ethernet/802.3 port. Plus, your printer will be close enough to the wireless router/access point to be connected by a cable.

Your printer has Ethernet (wired — 802.3) network connection capability

• Local Area Network (LAN)
• Ethernet cable (Cat 5) for connecting printer to network

Ethernet (wired — 802.3) Network

graphic: wired connection

A wired network connection is fast and reliable. It enables other PCs on the same network to use the printer.

• Your PC is connected to a wireless 802.11 network and you want to enable other PCs on the network to have access to the printer
• You want to have flexibility to position the printer away from the wireless router/access point

Your printer has wireless network (802.11) connection capability

• Wireless 802.11 Local Area Network (LAN) with a wireless router/access point
• SSID (name of wireless network)
• Password (for encrypted networks)
• USB cable, if applicable for your printer (USB setup of wireless)
• For details, see Wireless Network Connection (802.11).

Wireless (802.11) Network

graphic: wireless connection

A wireless network connection lets you position your printer without the restrictions of a cable. It enables other PCs on the network to access the printer. However, it may take longer to set up than other types of connection.


Wireless Network Connection (802.11)

Note The wireless communication is 802.11 standards, not Bluetooth.

Infrastructure Wireless Network Connection

An infrastructure wireless network connection (802.11 standards) enables several computers to have access to the same printer, if each is connected to the network and set up for the device. An infrastructure wireless network is created by a wireless router/access point that sends and receives signals similar to the way the base station for a cordless phone works. Computers and devices need to be within range of the signal to connect to the network. However, this also means that there may be several wireless routers within range of your router.

To connect your computer to the printer via an infrastructure wireless network, you need:

• A wireless router/access point already set up.
• The name of the network created by the router, called an SSID (Service Set Identifier). When setting up the wireless network, the router will have a default SSID (usually the name of the router’s manufacturer), but ideally, this was changed to a more personal name that you can recognize easily. If not, you could end up with a network that has the same name as your neighbor’s. This could cause difficulty choosing the correct network, as well as compromise security on your network. Typically, your printer will show the names of all detected networks. Be sure to choose your own network.
• The security settings for your wireless network. Most wireless networks are encrypted using a password that each device needs to know in order to connect. This is what prevents unwelcome outsiders from accessing your wireless network. The most common types of encryption are WEP and WPA. If your wireless network uses one of these, you will probably be asked to enter the key or passphrase, depending on the type of encryption. The WEP key or WPA passphrase is case-sensitive: enter it with the exact upper and lower case letters that were originally defined. You can download an application to help you find these settings, by going to www.hp.com/go/networksetup. (This application works for only Windows Internet Explorer and is only available in English.) If you do not have security enabled on your network, then you only need the name of the network.

Ad Hoc Wireless Network Connection

You can also connect your computer to the HP device directly, without a router or access point. This is called an “ad hoc” wireless network connection. HP printers come from the factory pre-configured for an ad hoc network connection.

If you have previously set up your printer with an infrastructure connection (that is, with a wireless router/access point), but now you wish to set up an ad hoc connection, you can use the Restore Network Defaults option in the display menu on the printer's control pane, if available.


Network Setup — Make a connection to your printer

This Network Setup screen tells you that it is time to connect your printer to the router using an Ethernet cable.

graphic: diagram showing Ethernet connection, with no. 1 and no. 2 at the ends of the cable.

graphic: no. 1 | Connect one end of the Ethernet (Category 5 or RJ45) cable to a LAN port on your wired router. Check that the router is turned on and connected to your network.
graphic: no. 2 | Connect the other end of the cable to the Etheret/802.3 port on the back of your printer. (Typically, this port has a yellow plug in it when the device is shipped.) Your printer needs to be already set up and powered on. Within a few seconds of connection, yellow and green lights around the port should be lit and flashing.
 | Alternatively, select Continue with the installation without connecting the printer now, I will connect later.


Printer Network Connection

The Printer Network Connection screen asks if your printer is already set up on your wireless network.

• Click Yes if you know that your printer is already connected to the network. For example, you may have used the Wireless Setup Wizard via the printer's control panel display, or you know that someone else on the network is already using the printer.
• Click No if your printer is not connected, or you don't know if it is.

To check details of the connection, print either a Network Configuration Page or Wireless Network Test Report .

Click Next to continue the installation.


Network Configuration Page or Wireless Network Test Report

The Network Configuration Page is a report of printer specifications, for example, Network Status, Active Connection Type, Serial Number, Hardware Address (MAC address), Network Name (SSID), Authentication Type, and IP Address. It is handy to have a printed copy when you are setting up or troubleshooting a network connection for your HP printer.

If you have connected your printer to a wireless network, print the Wireless Network Test report. This report includes diagnostic messages, as well as details of the connection.

• To print a Network Configuration Page or a Wireless Network Test report for a printer with a display on the control panel, press the Setup button. Then, browse the menus for the report (for example, look under Network Setup or Print Reports) and select it.
• For most HP printers without a display, you can print a Network Configuration Page by pressing and holding the Resume button for 2 seconds. The Wireless Network Test Report is also printed. Check your printer documentation for details.

To check the status and network to which your HP printer is currently connected, look at:

• Network Status to see if your printer is Ready, that is, connected to a network.
• Network Name (SSID) to see if this is the name of your network. However, if this is the default name for the wireless router (or access point), your neighbor may have the same name for his/her network, too.
• IP Address since you need to have this to do an Advanced Search.


Wireless Network Setup — Printer Network Connect

The Wireless Network Setup screen recommends some troubleshooting steps you can take to assist in finding your printer on the wireless network.

Scenario

Actions

Notes

Ensure that your printer and wireless router/access point are powered on

Check that:

• Wireless router/access point and your printer are operational
• Your computer is connected to your network

See the router documentation for further details of how to check that it is operating correctly.

Move your computer and printer closer to the wireless router.
• During setup, it is ideal to have your printer and PC near the wireless router/access point
• If you move your printer after setup, verify it is powered on and the signal strength is still strong

See the router documentation for details of range and optimal connection conditions.

Print the Wireless Network Test Report

Follow up any diagnostic messages

Ensure that your PC is connected to your network

Check that:

• Your network is working by confirming your PC can connect to the Internet
• Your PC is connected to your network by confirming the correct network name
• Your network signal strength is adequate and status is ready


Found Network Printers

Look through the list of printers to see if the one you are installing is listed.

• If your printer is listed once, select the printer name on the list, then click Next to continue.
• If your printer is not listed — or is listed more than once — print a Network Configuration Page or Wireless Network Test Report to use in troubleshooting.

Troubleshooting

1 Look through the table below and check the items that apply to your scenario.
2 After you have made adjustments or corrections, click Refresh List. If your printer is now shown on the list, select the printer, then click Next to continue.
3 If your printer is not on the list, select My printer is not listed. Then, select Show Advanced Search Options. Enter your printer's IP Address as search criteria (including periods between numbers) for the wireless connection and click Search. If your printer is now shown on the list, select the printer, then click Next to continue.
4 If your printer still does not appear after an Advanced Search, select My printer is not listed, then click Next to continue.

Scenario

Possible Causes

Check that:

My printer is not listed

• Your printer can only be found by searching by IP Address because your network is complex.
• Or, security software (firewall, anti-virus, anti-spyware) on your computer may be blocking communication between your computer and HP device.
• Or, your computer is connected to a Virtual Private Network (VPN).
• Or, your router has MAC filtering enabled.
• Or, your PC is connected to a different network than your printer.
• Or, your printer is not connected to your own network. It might have been connected to a neighbor's network with the same name.
• Your computer is connected to the network
• Your Internet connection is active, showing that the network is operational
• Your printer is receiving power
• Your Ethernet cord is properly connected (Wired)
• Router turned on and transmitting (Wireless)
• Security software is not blocking connection
• You disconnect from the VPN when you want to access your printer via a network.
• Your router has MAC filtering disabled or you have added your printer to the router's MAC address filter list.

Several printers are listed

One of your neighbors or colleagues has installed the same printer model on the network.

• IP Address matches the one on the report for the connection you want
• Serial Number is your printer's
• MAC Address matches the one on the report for the connection you want


Serial Number

The long number shown on the label on the back or bottom of the HP device, as well as on the Network Configuration Page or Wireless Network Test Report .


IP Address

The Internet Protocol address, a numerical identifier that is assigned by the network to a connected device. You can find out the IP address for wireless and wired connections by selecting the Setup (wrench) button on the device’s control panel, then browsing for Settings on the display, if applicable for your printer. Alternatively, you can find it on the Network Configuration Page or Wireless Network Test Report .

A valid IP address is comprised of four numbers, separated by periods, for example, 192.168.1.001. (Conversely, an IP address of 0.0.0.0 is invalid.)


MAC Address

The hardware address (or Media Access Control address) is an identifier assigned to the network board by HP during manufacture. The MAC address is printed on the serial number label, as well as on the Network Configuration Page.


Show Advanced Search Options

If your printer still does not appear on the list, select Show Advanced Search Options.

1 Find the IP Address of the printer, either by pressing the Setup (wrench) button from the control panel and browsing for IP Address. Alternatively, print a Network Configuration Page or Wireless Network Test Report .
2 Enter the printer’s IP Address in the search field, then click Search.
3 After searching, click Refresh List to see if your printer has now been found. If so, click your printer in the list.
4 Click Next.


Router turned on and transmitting

Check that your wireless router/access point is turned on and operational. For instance, you might want to check that a computer already on the network can connect to the Internet.

Before making a search again, it might help to reset the network.

1 Power off the modem and router.
2 Power on the modem again. Wait for it to boot up fully.
3 Power on the router again. Let it boot up completely before trying to search again for your printer.


Security software

Check that security software on your computer is not blocking the connection.

1 Temporarily disable your security software, then click Refresh List on this screen or do an Advanced Search.
2 If your printer is now shown on the list, re-enable your security software. You need to configure your security software to allow UDP port 427 to be open. Then, click Refresh List on this screen or do an Advanced Search.
3 If your printer is still not listed, select My printer is not listed, then click Next to continue.


Wireless Network Setup — Printer Setup Menu Wizard

If your HP printer has a display with menus, you can use the Wireless Setup Wizard from the control panel.

Use the Wireless Setup Wizard
1 Press the Setup (wrench) button on the control panel, then browse for Wireless Setup Wizard from the displayed menus.
2 Follow the instructions shown on the display, entering the information as requested. For more information on the Wireless Setup Wizard, see the documentation for your HP printer. This may be in a printed guide, in a software guide on the CD, or accessible through HP Solution Center (if installed).
3 Select the Wireless Network Test to print a report. The report confirms the connection and provides a record of the details. Browse the menu to find the option, typically under Print Reports or Network Settings.
4 When you have completed the Wizard and your printer has joined the wireless network, click Next to continue.


Printer Setup Options

Problems persist with setting up your printer on the network. You’ll need to select an option to indicate how you wish to proceed. The following sections explain the details and advantages of selecting each option.

• Install the printer over USB instead. I can retry network installation later
• Continue the installation without connecting to the printer. I will connect later
• Continue with the network installation and ignore the diagnosed error(s)

Before you continue setting up the connection, you might want to review Troubleshooting Before Continuing a Network Connection, including steps to take for wireless and wired network setup.

When you are ready, you can do one of the following to try again:

• Go to the Start menu/All Programs/HP/(your HP device name)/Add a Device to restart the installation process.
• Insert the software CD that came with your HP device to display a menu. Select Add a Device (if available for your device) to restart the installation process.
• If available, use the desktop icon to Add a Device.

After you have chosen an option, the Next button becomes active. Click Next to continue.


Install the printer over USB instead. I can retry network installation later

Select this option to connect your printer to your PC via a direct USB connection.

After you have chosen an option, the Next button becomes active. Click Next to continue.


Continue the installation without connecting to the printer, I will connect later

Choosing this option means that you will not currently have use of your HP device. However, by installing the software from the CD on your computer now, later you'll only need to select Add a Device from the Start menu or connect a USB cable to make a connection.

To retry a network connection, first check some typical causes of errors (see Troubleshooting Before Continuing a Network Connection).


Continue with the network installation and ignore the diagnosed error(s)

If you choose this option, the network installation will continue, but you might have problems with the printer after the install. You might want to look through Troubleshooting Before Continuing a Network Connection for things to check before continuing.

If you think you have solved the issues that were preventing finding the printer on the network, select this option, then click Back.


Troubleshooting Before Continuing a Network Connection

Review these topics for additional information to use in troubleshooting the network connection for your HP device:

• Wireless Network Setup
• Ensure that your printer and wireless router/access point are powered on
• Move your computer and printer closer together
• Check that your PC is connected to your network
• Temporarily disable your firewall, anti-spyware, or any security software on your PC
• Allow access to these files
• Allow access to these ports
• Wired network


Wireless Network Setup

Note Your network needs to be fully functional and your printer completely set up before you can connect to your wireless network.

Prerequisites
• Wireless router, set up and powered up.
• Name of the network (SSID)
• Security Settings (password — case-sensitive)


Ensure that your printer and wireless router/access point are powered on

Check that:

• Printer is plugged in, turned on, with wireless radio on (usually a blue light, marked 802.11)
• Wireless router/access point is plugged in, turned on, and operational.


Move your computer and printer closer together

Check that:

• Printer and PC are within range of wireless router/access point. See the router documentation for range and conditions.
• Printer and PC are powered on.


Check that your PC is connected to your network

Check that:

• Computer is connected to your own network: check network name, signal strength, and status under Windows Network.
• To check that network is operational, see if your computer has access to the Internet.


Temporarily disable your firewall, anti-spyware, or any security software on your PC

Security software may prevent connection of your printer. To find out how to temporarily allow HP software to make the connection for your printer, see the security software documentation. Be sure to turn all security software back on as soon as the connection has been made.


Allow access to these files

Security software on a Windows computer might ask you on a file-by-file basis whether or not you allow access by HP to certain ports and files. Indicate that these HP files should be trusted:

• hpqkygrp.exe, located in C:\program files\HP\digital imaging\bin
• hpiscnapp.exe, located in C:\program files\HP\digital imaging\bin
• hpqste08.exe, located in C:\program files\HP\digital imaging\bin
• hpqtra08.exe, located in C:\program files\HP\digital imaging\bin
• hpqthb08.exe, located in C:\program files\HP\digital imaging\bin
Note Not all files listed above are used by HP products. If a file is not found in the designated directory, then it would not need to be added. Refer to your firewall documentation on how to configure the firewall port settings and how to add HP files to the "trusted" list.


Allow access to these ports

The following ports are also used by your HP device and might need to be opened on your firewall configuration.

Function

Incoming (UDP) Ports

Outgoing (TCP) Ports

• Incoming (UDP) ports are destination ports on the computer.
• Outgoing (TCP) ports are destination ports on the HP device.

137, 138, 161, 427

137, 139, 427, 9100, 9220, 9500

Printing

427, 137, 161

9100

Photo card upload

137, 138, 427

139

Scanning

427

9220, 9500

HP Device Status

161

(none)

Faxing

427

9220

HP Device Installation

427

(none)


Wired network

• Ensure that your printer and network router are powered on and operational.
• Check that your HP device is connected securely to the router.

Yellow and green lights around the Ethernet/802.3 port will begin flashing after a few seconds, once a connection is made.